%define upstream_name File_PDF
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.3.3
Release:     	%mkrel 3
Summary:    	PDF generation using only PHP
License: 	LGPL
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/File_PDF-%{version}.tgz
URL: 		http://pear.php.net/package/File_PDF
BuildRequires:	php-pear >= 1.4.7
BuildArch: 	noarch

%description
This package provides PDF generation using only PHP, without requiring any
external libraries.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/File_PDF.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/File_PDF.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/File_PDF
fi

%files
%defattr(-,root,root)

%{peardir}/*
%{xmldir}/File_PDF.xml


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.3.3-3.mga4
+ Revision: 516718
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.3-2.mga3
+ Revision: 376155
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 23 2012 spuhler <spuhler> 0.3.3-1.mga2
+ Revision: 200061
- upgrade to 0.3.3
  pearized spec file

* Mon Jan 17 2011 spuhler <spuhler> 0.3.2-5.mga1
+ Revision: 20744
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-File_PDF


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-5mdv2011.0
+ Revision: 607100
- rebuild

* Mon Dec 14 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.2-4mdv2010.1
+ Revision: 478672
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.3.2-3mdv2010.0
+ Revision: 426629
- rebuild

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-2mdv2009.1
+ Revision: 321813
- rebuild

* Sat Aug 16 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-1mdv2009.0
+ Revision: 272585
- 0.3.2

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.2.0-3mdv2009.0
+ Revision: 224734
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-2mdv2008.1
+ Revision: 178509
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-1mdv2008.0
+ Revision: 15670
- 0.2.0


* Sun Nov 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-8mdv2007.0
+ Revision: 83321
- rebuild

* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-7mdv2007.1
+ Revision: 81586
- Import php-pear-File_PDF

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-1mdk
- initial Mandriva package (PLD import)

